import request from '@/utils/request'

// 查询检验与车型关联列表
export function listExamineVehicleModel(query) {
  return request({
    url: '/business/examineVehicleModel/list',
    method: 'get',
    params: query
  })
}

// 查询检验与车型关联详细
export function getExamineVehicleModel(examineId) {
  return request({
    url: '/business/examineVehicleModel/' + examineId,
    method: 'get'
  })
}

// 新增检验与车型关联
export function addExamineVehicleModel(data) {
  return request({
    url: '/business/examineVehicleModel',
    method: 'post',
    data: data
  })
}

// 修改检验与车型关联
export function updateExamineVehicleModel(data) {
  return request({
    url: '/business/examineVehicleModel',
    method: 'put',
    data: data
  })
}

// 删除检验与车型关联
export function delExamineVehicleModel(examineId) {
  return request({
    url: '/business/examineVehicleModel/' + examineId,
    method: 'delete'
  })
}
